Update NDVR Settings
update stream ndvr setting
curl -X POST "https://api.5centscdn.com/v2/streams/settings/record/ndvr" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"enabled": "Y",
"retention": 5,
"mode": "save"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/streams/settings/record/ndvr"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"enabled": "Y",
"retention": 5,
"mode": "save"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/settings/record/ndvr", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"enabled": "Y",
"retention": 5,
"mode": "save"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"enabled": "Y",
"retention": 5,
"mode": "save"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/streams/settings/record/ndvr", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/settings/record/ndvr')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"enabled": "Y",
"retention": 5,
"mode": "save"
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Stream Settings Updated. Please wait till the deployment completes."
}
/streams/settings/record/ndvr
Target server for requests. Edit to use your own host.
API key (sent in header)
The media type of the request body
Enable or disable nDVR. Y means enabled, N means disabled.
Rewind period in minutes. Min 5 max 180.
Controls how the settings are applied to streams. save — only saves the settings, no changes will be made to existing stream settings. append — appends the values to existing streams data and updates. overwrite — overwrites the existing streams values, replacing them and updates.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Body
Controls how the settings are applied to streams. save — only saves the settings, no changes will be made to existing stream settings. append — appends the values to existing streams data and updates. overwrite — overwrites the existing streams values, replacing them and updates.
saveResponses
Status of the API response.
Human-readable message describing the result.